de.esprit.netsuite.client

## Class AbstractClientObject<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable, ClientObject<C>
  Direct Known Subclasses:
    ABOCreateListener, ABOManager, AbstractMessageChannel, AgentMessageHandler, AgentResponseHandler, ClientMessageHandler, ClientNetworkAdapter, ClientTransferConnection, DefaultServerNotificationHandler, EspritClientConnector, GuiServerNotificationHandler, IOFileDownstreamConnection, IOFileTransferConnection, RemoteTaskDefaultEventForwarder, RemoteTaskEventQueue, RequestChannel, UserCache

      public abstract class AbstractClientObject<C extends ClientContext>
      extends AbstractApplicationObject<C>
      implements ClientObject<C>

  This is the base class for client classes that manage a `ClientContext`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientObject(C clientCtx)`
    `AbstractClientObject(C clientCtx, LogChannel logCh)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientConfig` | `getClientConfig()`
    `C` | `getClientContext()` Returns the the client runtime environment

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractClientObject

          public AbstractClientObject(C clientCtx)

    - #### AbstractClientObject

          public AbstractClientObject(C clientCtx,
                              LogChannel logCh)

  - ### Method Detail

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

    - #### getClientConfig

          public ClientConfig getClientConfig()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.